# $Revision: 1.44 $, $Date: 2006/09/08 18:03:19 $
Summary:	Passive OS fingerprinting tool
Summary(pl):	Narzdzie do pasywnej daktyloskopii systemw operacyjnych
Name:		p0f
Version:	2.0.8
Release:	2
License:	LGPL v2.1
Group:		Applications/Networking
# Official releases:
Source0:	http://lcamtuf.coredump.cx/p0f/%{name}-%{version}.tgz
# Source0-md5:	1ccbcd8d4c95ef6dae841120d23c56a5
# Devel:
#Source0:	http://lcamtuf.coredump.cx/p0f/%{name}-devel.tgz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
URL:		http://lcamtuf.coredump.cx/p0f.shtml
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(p0f)
Provides:	user(p0f)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
p0f performs passive OS fingerprinting technique based on information
coming from remote host when it establishes connection to our system.
Captured packets contains enough information to determine OS - and,
unlike active scanners (nmap, queSO) - it is done without sending
anything to this host.

%description -l pl
p0f przeprowadza pasywn daktyloskopi systemu operacyjnego bazujc na
informacjach, ktre wysya zdalny system kiedy ustanawia poczenie z
naszym. Wyapane pakiety zawieraj wystarczajco duo informacji by
okreli system operacyjny - i, w przeciwiestwie do aktywnych
skanerw (nmap, queSO) - jest to robione bez wysyania czegokolwiek do
tego hosta.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} %{name} -f mk/Linux \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fomit-frame-pointer -Wall"

cd test
%{__cc} %{rpmldflags} %{rpmcflags} -o p0fq p0fq.c
%{__cc} %{rpmldflags} %{rpmcflags} -o p0f-sendack  sendack.c
%{__cc} %{rpmldflags} %{rpmcflags} -o p0f-sendack2 sendack2.c
%{__cc} %{rpmldflags} %{rpmcflags} -o p0f-sendsyn  sendsyn.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/etc/sysconfig,/etc/logrotate.d,%{_sbindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/p0f
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/p0f
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/p0f
cd test
install p0fq p0f-* $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 164 p0f
%useradd -u 164 -c "p0f user" -g p0f p0f

%post
if [ ! -f /var/log/p0f ]; then
	touch /var/log/p0f
	chown root:root /var/log/p0f
	chmod 600 /var/log/p0f
fi
/sbin/chkconfig --add p0f
%service p0f restart "p0f daemon"

%preun
if [ "$1" = "0" ]; then
	%service p0f stop
	/sbin/chkconfig --del p0f
fi

%postun
if [ "$1" = "0" ]; then
	%userremove p0f
	%groupremove p0f
fi

%files
%defattr(644,root,root,755)
%doc doc/{CREDITS,KNOWN_BUGS,README,TODO,ChangeLog}
%dir %{_sysconfdir}/p0f
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/p0f/*
%attr(754,root,root) /etc/rc.d/init.d/p0f
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/p0f
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/p0f
%attr(755,root,root) %{_sbindir}/p0f*
%{_mandir}/man1/p0f.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: p0f.spec,v $
Revision 1.44  2006/09/08 18:03:19  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.43  2006/09/06 15:24:51  paszczus
- updated to 2.0.8

Revision 1.42  2006/08/10 17:21:19  adamg
- updated to 2.0.7

Revision 1.41  2006/04/15 13:38:32  glen
- rel 2

Revision 1.40  2006/03/09 23:34:50  glen
- correct %service usage

Revision 1.39  2006/03/09 22:04:34  dzeus
- up to 2.0.6, use %service
- removed masq_timestamp.patch (included in source)
- removed bpf.patch (obsoleted?)

Revision 1.38  2006/02/02 14:57:46  glen
- STBR

Revision 1.37  2006/01/15 22:31:46  glen
- add p0f user and bind to local socket; rel 3

Revision 1.36  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.35  2005/04/08 17:28:45  gotar
- added timestamps to masquerade detection logs

Revision 1.34  2004/10/10 11:10:16  radek
- release 2: added support for custom rule and more options in p0f.sysconfig

Revision 1.33  2004/09/22 15:31:09  kolodko
- added logrotate

Revision 1.32  2004/09/13 21:46:54  paszczus
- updated to 2.0.5
- updated p0f-DESTDIR.patch

Revision 1.31  2004/08/19 00:16:38  undefine
- release 2

Revision 1.30  2004/07/11 09:47:14  areq
- 2.0.4

Revision 1.29  2004/01/19 08:17:37  gotar
- headers patch from Pawe Sikora pluto at ds14 agh edu pl

Revision 1.28  2003/11/03 19:48:37  orzech
- up to 2.0.3

Revision 1.27  2003/10/16 14:06:19  qboosh
- use optflags during additional tools compilation
- added TODO (use ip instead of ifconfig)

Revision 1.26  2003/09/29 09:55:27  adamg
- cleanups

Revision 1.25  2003/09/29 09:49:03  adamg
- moved binaries from %{_bindir} to %{_sbindir} (they require root privileges)

Revision 1.24  2003/09/29 07:50:12  adamg
- config_h patch replaced with DESTDIR patch
- build and install set of small tools located in test/
- use make install DESTDIR
- also include p0f manpage

Revision 1.23  2003/09/29 07:24:50  adamg
- updated to 2.0.3-beta1

Revision 1.22  2003/09/28 19:41:15  adamg
- added p0f-config_h.patch

Revision 1.21  2003/09/28 19:37:23  adamg
- updated to 2.0.2, more specific source0 url

Revision 1.20  2003/09/04 11:49:50  orzech
- up to 2.0.1

Revision 1.19  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.18  2003/08/04 12:10:34  qboosh
- pass CC and CFLAGS, more specific Requires, SUSv2-compliant chown

Revision 1.17  2003/05/28 13:00:10  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/23 07:20:27  kloczek
- cosmetics.

Revision 1.14  2003/02/11 20:02:41  ggodlewski
- updated to 1.8.3

Revision 1.13  2002/09/22 10:56:44  mmazur
- updated to 1.8.2; rel1; STBR

Revision 1.12  2002/08/19 01:50:21  grzegorz
- added %config(noreplace) %verify(not size mtime md5) to /etc/sysconfig/p0f

Revision 1.11  2002/08/18 19:18:25  grzegorz
- added /etc/sysconfig/p0f with interface chosing support
- rel 3 STBR

Revision 1.10  2002/08/16 21:11:04  kloczek
- standarize %post/%preun scripts.

Revision 1.9  2002/08/16 00:49:23  grzegorz
- PLD style init
- new %doc
- rel 2

Revision 1.8  2002/08/15 10:20:00  grzegorz
- ups :)

Revision 1.6  2002/03/20 16:14:02  jojoro
- Typo fix

Revision 1.5  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/31 13:01:54  qboosh
- pl descriptions, some pldifications

Revision 1.2  2002/01/29 21:10:19  adasi
- spec file adapted from original spec
- some cosmetics would be welcome
- STBR

Revision 1.1  2002/01/29 21:05:28  adasi
- 80d5e09a8af92634f03c629b13d07666  SOURCES/p0f-1.8.tgz
- a265c4f10ddb9c01c3350895b93ad48d  SOURCES/p0f.init
- 560a9a2afd14866e71303f97e08c3f0b  SPECS/p0f.spec
